<?php
if (!defined('ABSPATH')) {
  exit;
}

$current_page = isset($_GET['page']) ? sanitize_text_field($_GET['page']) : '';
?>
<div class="hai-bg-white hai-border-b hai-border-gray-200 hai-mb-8">
  <div class="hai-max-w-7xl hai-mx-auto">
    <div class="hai-flex hai-justify-between hai-items-center hai-py-4 hai-px-4 sm:hai-px-6 lg:hai-px-8">
      <!-- Logo and Title -->
      <div class="hai-flex hai-items-center hai-space-x-4">
        <img src="<?php echo esc_url(HAI_SUPPORT_PLUGIN_URL . 'assets/images/hai-logo.png'); ?>" alt="Hai Support" class="hai-h-10 hai-w-auto">
        <h1 class="hai-text-2xl hai-font-bold hai-text-gray-900"><?php echo esc_html($title ?? __('Hai Support', 'hai-support')); ?></h1>
      </div>

      <!-- Navigation -->
      <nav class="hai-flex hai-items-center hai-space-x-6">
        <a href="<?php echo esc_url(admin_url('admin.php?page=hai-support')); ?>"
          class="hai-text-sm hai-font-medium <?php echo $current_page === 'hai-support' ? 'hai-text-[#6e00ff] hai-border-b-2 hai-border-[#6e00ff]' : 'hai-text-gray-500 hover:hai-text-gray-700'; ?>">
          <?php echo esc_html__('Dashboard', 'hai-support'); ?>
        </a>
        <a href="<?php echo esc_url(admin_url('admin.php?page=hai-support-settings')); ?>"
          class="hai-text-sm hai-font-medium <?php echo $current_page === 'hai-support-settings' ? 'hai-text-[#6e00ff] hai-border-b-2 hai-border-[#6e00ff]' : 'hai-text-gray-500 hover:hai-text-gray-700'; ?>">
          <?php echo esc_html__('Settings', 'hai-support'); ?>
        </a>
        <a href="https://haisupport.com/docs" target="_blank"
          class="hai-inline-flex hai-items-center hai-text-sm hai-text-gray-500 hover:hai-text-gray-700">
          <svg class="hai-w-5 hai-h-5 hai-mr-1" fill="none" stroke="currentColor" viewBox="0 0 24 24">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12h6m-6 4h6m2 5H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z" />
          </svg>
          <?php echo esc_html__('Documentation', 'hai-support'); ?>
        </a>
      </nav>
    </div>
  </div>
</div>