<?php
if (!defined('ABSPATH')) {
  exit;
}
?>
<div id="hai-chat-widget" class="hai-fixed hai-bottom-4 hai-right-4 hai-z-50">
  <!-- Chat Button -->
  <button id="hai-chat-button" class="hai-flex hai-items-center hai-justify-center hai-w-14 hai-h-14 hai-rounded-full hai-shadow-lg hai-transition-all hai-duration-300 hai-ease-in-out focus:hai-outline-none hover:hai-shadow-xl hover:hai-scale-105" style="background-color: <?php echo esc_attr(hai_get_setting('hai_theme_color')); ?>">
    <svg class="hai-w-7 hai-h-7 hai-text-white" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
      <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8 10h.01M12 10h.01M16 10h.01M9 16H5a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v8a2 2 0 01-2 2h-5l-5 5v-5z"></path>
    </svg>
  </button>

  <!-- Chat Window -->
  <div id="hai-chat-window" class="hai-hidden hai-fixed hai-bottom-20 hai-right-4 hai-w-96 hai-bg-white hai-rounded-2xl hai-shadow-2xl hai-flex hai-flex-col hai-overflow-hidden hai-border hai-border-gray-100">
    <!-- Header -->
    <div class="hai-p-4 hai-flex hai-items-center hai-justify-between hai-shadow-sm" style="background-color: <?php echo esc_attr(hai_get_setting('hai_theme_color')); ?>">
      <div class="hai-flex hai-items-center hai-space-x-3">
        <div class="hai-w-8 hai-h-8 hai-rounded-full hai-bg-white/20 hai-flex hai-items-center hai-justify-center hai-overflow-hidden">
          <?php if (hai_get_setting('hai_agent_avatar')): ?>
            <img src="<?php echo esc_url(HAI_SUPPORT_PLUGIN_URL . 'assets/images/avatars/' . hai_get_setting('hai_agent_avatar')); ?>"
              alt="<?php echo esc_attr(hai_get_setting('hai_bot_name')); ?>"
              class="hai-w-full hai-h-full hai-object-cover">
          <?php else: ?>
            <svg class="hai-w-5 hai-h-5 hai-text-white" fill="none" stroke="currentColor" viewBox="0 0 24 24">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9.75 17L9 20l-1 1h8l-1-1-.75-3M3 13h18M5 17h14a2 2 0 002-2V5a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"></path>
            </svg>
          <?php endif; ?>
        </div>
        <h3 class="hai-text-white hai-font-medium"><?php echo esc_html(hai_get_setting('hai_bot_name')); ?></h3>
      </div>
      <button id="hai-close-chat" class="hai-p-1 hai-rounded-lg hai-text-white/80 hover:hai-text-white hover:hai-bg-white/20 focus:hai-outline-none hai-transition-colors">
        <svg class="hai-w-6 hai-h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12"></path>
        </svg>
      </button>
    </div>

    <!-- Messages Container -->
    <div id="hai-messages" class="hai-flex-1 hai-p-4 hai-space-y-4 hai-overflow-y-auto hai-max-h-[400px] hai-bg-white">
      <!-- Welcome Message -->
      <div class="hai-flex hai-items-end hai-space-x-2">
        <div class="hai-flex-shrink-0">
          <div class="hai-w-8 hai-h-8 hai-rounded-full hai-flex hai-items-center hai-justify-center hai-text-white hai-shadow-sm hai-overflow-hidden" style="background-color: <?php echo esc_attr(hai_get_setting('hai_theme_color')); ?>">
            <?php if (hai_get_setting('hai_agent_avatar')): ?>
              <img src="<?php echo esc_url(HAI_SUPPORT_PLUGIN_URL . 'assets/images/avatars/' . hai_get_setting('hai_agent_avatar')); ?>"
                alt="<?php echo esc_attr(hai_get_setting('hai_bot_name')); ?>"
                class="hai-w-full hai-h-full hai-object-cover">
            <?php else: ?>
              <svg class="hai-w-5 hai-h-5" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9.75 17L9 20l-1 1h8l-1-1-.75-3M3 13h18M5 17h14a2 2 0 002-2V5a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"></path>
              </svg>
            <?php endif; ?>
          </div>
        </div>
        <div class="hai-group">
          <div class="hai-rounded-2xl hai-px-4 hai-py-2 hai-max-w-[85%] hai-bg-gray-100 hai-shadow-sm">
            <p class="hai-text-sm hai-text-gray-800">
              <?php echo esc_html__('Hello! How can I help you today?', 'hai-support'); ?>
            </p>
          </div>
          <div class="hai-mt-1 hai-text-xs hai-text-gray-400 hai-px-2">
            <?php echo esc_html(date_i18n(get_option('time_format'))); ?>
          </div>
        </div>
      </div>
    </div>

    <!-- Input Area -->
    <div class="hai-p-4 hai-bg-white hai-border-t hai-border-gray-100 hai-shadow-lg">
      <form id="hai-chat-form" class="hai-flex hai-space-x-2" autocomplete="off">
        <input type="hidden" id="hai-session-id" value="">
        <div class="hai-flex-1">
          <input type="text"
            id="hai-message-input"
            class="hai-w-full hai-px-4 hai-py-2 hai-bg-white hai-border hai-border-gray-200 hai-rounded-xl focus:hai-outline-none focus:hai-ring-2 focus:hai-ring-primary-500 focus:hai-border-transparent hai-transition-all hai-text-gray-900"
            placeholder="<?php echo esc_attr__('Type your message...', 'hai-support'); ?>"
            autocomplete="off">
        </div>
        <button type="submit" class="hai-p-2 hai-rounded-xl hai-text-white hai-shadow-sm hai-transition-all hover:hai-shadow focus:hai-outline-none focus:hai-ring-2 focus:hai-ring-offset-2 focus:hai-ring-primary-500" style="background-color: <?php echo esc_attr(hai_get_setting('hai_theme_color')); ?>">
          <svg class="hai-w-5 hai-h-5 hai-transform hai-rotate-90" fill="none" stroke="currentColor" viewBox="0 0 24 24">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 19l9 2-9-18-9 18 9-2zm0 0v-8"></path>
          </svg>
        </button>
      </form>
    </div>
  </div>
</div>