<?php
if (!defined('ABSPATH')) {
  exit;
}

$title = __('Dashboard', 'hai-support');
require_once HAI_SUPPORT_PLUGIN_DIR . 'templates/admin-header.php';
?>
<div class="wrap">
  <div class="hai-max-w-7xl hai-mx-auto hai-px-4 sm:hai-px-6 lg:hai-px-8">
    <div class="hai-flex hai-justify-between hai-mb-6">
      <button id="bulk-delete" class="hai-inline-flex hai-items-center hai-rounded-md hai-bg-red-500 hai-px-3.5 hai-py-2 hai-text-sm hai-font-medium hai-text-white hai-transition-all hai-duration-200 hover:hai-bg-red-600 hover:hai-translate-y-[-1px] hover:hai-shadow-[0_4px_8px_-2px_rgba(239,68,68,0.3)] focus:hai-outline-none hai-border-0 disabled:hai-opacity-50 disabled:hai-cursor-not-allowed">
        <svg class="hai-w-4 hai-h-4 hai-mr-1.5" fill="none" stroke="currentColor" viewBox="0 0 24 24">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16"></path>
        </svg>
        <?php echo esc_html__('Delete Selected', 'hai-support'); ?>
      </button>
      <div class="hai-flex hai-items-center hai-space-x-4">
        <span class="hai-text-sm hai-text-gray-500"><?php echo esc_html__('Total Conversations:', 'hai-support'); ?></span>
        <span class="hai-px-3 hai-py-1 hai-text-sm hai-font-medium hai-bg-primary-100 hai-text-primary-700 hai-rounded-full">
          <?php echo count($conversations); ?>
        </span>
      </div>
    </div>

    <div class="hai-bg-white hai-shadow hai-rounded-lg hai-overflow-hidden">
      <!-- Filters -->
      <div class="hai-p-4 hai-bg-gray-50 hai-border-b hai-border-gray-200">
        <div class="hai-flex hai-items-center hai-space-x-4">
          <div class="hai-flex hai-items-center">
            <label for="hai-status-filter" class="hai-mr-2 hai-text-sm hai-font-medium hai-text-gray-700">
              <?php echo esc_html__('Status:', 'hai-support'); ?>
            </label>
            <select id="hai-status-filter" class="hai-rounded-md hai-border-gray-300 focus:hai-border-primary-500 focus:hai-ring-primary-500 hai-text-sm">
              <option value=""><?php echo esc_html__('All Status', 'hai-support'); ?></option>
              <option value="unread"><?php echo esc_html__('Unread', 'hai-support'); ?></option>
              <option value="read"><?php echo esc_html__('Read', 'hai-support'); ?></option>
            </select>
          </div>
        </div>
      </div>

      <!-- Conversations Table -->
      <div class="hai-overflow-x-auto">
        <table class="hai-min-w-full hai-divide-y hai-divide-gray-200">
          <thead class="hai-bg-gray-50">
            <tr>
              <th scope="col" class="hai-px-6 hai-py-3 hai-text-left">
                <div class="hai-flex hai-items-center">
                  <input type="checkbox" id="select-all-conversations" class="hai-rounded hai-border-gray-300 hai-text-[#6e00ff] focus:hai-ring-[#6e00ff] hai-border-0">
                </div>
              </th>
              <th scope="col" class="hai-px-6 hai-py-3 hai-text-left hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wider">
                <?php echo esc_html__('User', 'hai-support'); ?>
              </th>
              <th scope="col" class="hai-px-6 hai-py-3 hai-text-left hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wider">
                <?php echo esc_html__('Location', 'hai-support'); ?>
              </th>
              <th scope="col" class="hai-px-6 hai-py-3 hai-text-left hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wider">
                <?php echo esc_html__('Last Message', 'hai-support'); ?>
              </th>
              <th scope="col" class="hai-px-6 hai-py-3 hai-text-left hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wider">
                <?php echo esc_html__('Status', 'hai-support'); ?>
              </th>
              <th scope="col" class="hai-px-6 hai-py-3 hai-text-right hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wider">
                <?php echo esc_html__('Actions', 'hai-support'); ?>
              </th>
            </tr>
          </thead>
          <tbody class="hai-bg-white hai-divide-y hai-divide-gray-200">
            <?php if (empty($conversations)) : ?>
              <tr>
                <td colspan="6" class="hai-px-6 hai-py-8 hai-text-center hai-text-gray-500">
                  <div class="hai-flex hai-flex-col hai-items-center">
                    <svg class="hai-w-12 hai-h-12 hai-text-gray-400" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                      <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M8 12h.01M12 12h.01M16 12h.01M21 12c0 4.418-4.03 8-9 8a9.863 9.863 0 01-4.255-.949L3 20l1.395-3.72C3.512 15.042 3 13.574 3 12c0-4.418 4.03-8 9-8s9 3.582 9 8z"></path>
                    </svg>
                    <p class="hai-mt-2 hai-text-sm">
                      <?php echo esc_html__('No conversations found.', 'hai-support'); ?>
                    </p>
                  </div>
                </td>
              </tr>
            <?php else : ?>
              <?php foreach ($conversations as $conversation) :
                $location = json_decode($conversation->user_location, true);
                $chat_history = json_decode($conversation->conversation, true);

                // Find the last user message
                $last_user_message = '';
                if (is_array($chat_history)) {
                  for ($i = count($chat_history) - 1; $i >= 0; $i--) {
                    if ($chat_history[$i]['role'] === 'user') {
                      $last_user_message = $chat_history[$i];
                      break;
                    }
                  }
                }

                // Get WordPress user name if available
                $user_name = $conversation->user_name;
                if (empty($user_name) && is_user_logged_in()) {
                  $current_user = wp_get_current_user();
                  $user_name = $current_user->display_name;
                }
              ?>
                <tr class="hai-conversation-row" data-status="<?php echo esc_attr($conversation->status); ?>">
                  <td class="hai-px-6 hai-py-4 hai-whitespace-nowrap">
                    <div class="hai-flex hai-items-center">
                      <input type="checkbox" class="conversation-checkbox hai-rounded hai-border-gray-300 hai-text-[#6e00ff] focus:hai-ring-[#6e00ff] hai-border-0" value="<?php echo esc_attr($conversation->id); ?>">
                    </div>
                  </td>
                  <td class="hai-px-6 hai-py-4 hai-whitespace-nowrap">
                    <div class="hai-flex hai-items-center">
                      <div class="hai-flex-shrink-0 hai-h-10 hai-w-10 hai-rounded-full hai-bg-gray-200 hai-flex hai-items-center hai-justify-center">
                        <svg class="hai-h-6 hai-w-6 hai-text-gray-500" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"></path>
                        </svg>
                      </div>
                      <div class="hai-ml-4">
                        <div class="hai-text-sm hai-font-medium hai-text-gray-900">
                          <?php echo esc_html($conversation->user_name); ?>
                        </div>
                        <div class="hai-text-sm hai-text-gray-500">
                          <?php echo esc_html($conversation->user_ip); ?>
                        </div>
                      </div>
                    </div>
                  </td>
                  <td class="hai-px-6 hai-py-4 hai-whitespace-nowrap">
                    <?php if (!empty($location)) : ?>
                      <div class="hai-flex hai-items-center hai-space-x-2">
                        <?php if (!empty($location['country_code'])) :
                          $flag_path = HAI_SUPPORT_PLUGIN_URL . 'assets/images/flags/' . strtolower($location['country_code']) . '.svg';
                        ?>
                          <div class="hai-w-6 hai-h-4 hai-relative hai-rounded-sm hai-overflow-hidden hai-border hai-border-gray-200">
                            <img src="<?php echo esc_url($flag_path); ?>"
                              alt="<?php echo esc_attr($location['country']); ?>"
                              class="hai-w-full hai-h-full hai-object-cover"
                              onerror="this.parentElement.style.display='none'">
                          </div>
                        <?php endif; ?>
                        <div>
                          <div class="hai-text-sm hai-font-medium hai-text-gray-900">
                            <?php
                            $location_text = array();
                            if (!empty($location['city'])) {
                              $location_text[] = $location['city'];
                            }
                            if (!empty($location['country'])) {
                              $location_text[] = $location['country'];
                            }
                            echo esc_html(implode(', ', $location_text));
                            ?>
                          </div>
                        </div>
                      </div>
                    <?php else : ?>
                      <span class="hai-text-sm hai-text-gray-500"><?php echo esc_html__('Unknown', 'hai-support'); ?></span>
                    <?php endif; ?>
                  </td>
                  <td class="hai-px-6 hai-py-4">
                    <div class="hai-text-sm hai-text-gray-900">
                      <?php echo esc_html(wp_trim_words($last_user_message['content'] ?? '', 10)); ?>
                    </div>
                    <div class="hai-text-xs hai-text-gray-500">
                      <?php echo esc_html(human_time_diff(strtotime($conversation->updated_at), current_time('timestamp'))); ?> ago
                    </div>
                  </td>
                  <td class="hai-px-6 hai-py-4 hai-whitespace-nowrap">
                    <span class="hai-inline-flex hai-rounded-full hai-px-2 hai-py-1 hai-text-xs hai-font-semibold <?php echo $conversation->status === 'unread' ? 'hai-text-red-800 hai-bg-red-100' : 'hai-text-green-800 hai-bg-green-100'; ?>">
                      <?php echo esc_html($conversation->status); ?>
                    </span>
                  </td>
                  <td class="hai-px-6 hai-py-4 hai-whitespace-nowrap hai-text-right hai-text-sm hai-font-medium">
                    <button class="view-conversation hai-inline-flex hai-items-center hai-rounded-md hai-bg-[#6e00ff] hai-px-3.5 hai-py-2 hai-text-sm hai-font-medium hai-text-white hai-transition-all hai-duration-200 hover:hai-bg-[#5b00d6] hover:hai-translate-y-[-1px] hover:hai-shadow-[0_4px_8px_-2px_rgba(110,0,255,0.3)] focus:hai-outline-none hai-border-0 hai-mr-2" data-id="<?php echo esc_attr($conversation->id); ?>">
                      <svg class="hai-w-4 hai-h-4 hai-mr-1.5" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12a3 3 0 11-6 0 3 3 0 016 0z"></path>
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M2.458 12C3.732 7.943 7.523 5 12 5c4.478 0 8.268 2.943 9.542 7-1.274 4.057-5.064 7-9.542 7-4.477 0-8.268-2.943-9.542-7z"></path>
                      </svg>
                      <?php echo esc_html__('View', 'hai-support'); ?>
                    </button>
                    <button class="delete-conversation hai-inline-flex hai-items-center hai-rounded-md hai-bg-red-500 hai-px-3.5 hai-py-2 hai-text-sm hai-font-medium hai-text-white hai-transition-all hai-duration-200 hover:hai-bg-red-600 hover:hai-translate-y-[-1px] hover:hai-shadow-[0_4px_8px_-2px_rgba(239,68,68,0.3)] focus:hai-outline-none hai-border-0" data-id="<?php echo esc_attr($conversation->id); ?>">
                      <svg class="hai-w-4 hai-h-4 hai-mr-1.5" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16"></path>
                      </svg>
                      <?php echo esc_html__('Delete', 'hai-support'); ?>
                    </button>
                  </td>
                </tr>
              <?php endforeach; ?>
            <?php endif; ?>
          </tbody>
        </table>
      </div>
    </div>

    <!-- Conversation Modal -->
    <div id="hai-conversation-modal" class="hai-hidden hai-fixed hai-inset-0 hai-bg-gray-900/75 hai-backdrop-blur-sm hai-overflow-y-auto hai-h-full hai-w-full hai-z-50">
      <div class="hai-relative hai-top-20 hai-mx-auto hai-max-w-4xl hai-bg-white hai-rounded-2xl hai-shadow-2xl">
        <!-- Modal Header -->
        <div class="hai-relative hai-px-6 hai-py-4 hai-border-b hai-border-gray-100">
          <!-- Close Button - Absolute Position -->
          <button id="hai-close-modal" class="hai-absolute hai-right-4 hai-top-4 hai-rounded-full hai-p-2 hai-text-gray-400 hover:hai-text-gray-500 hover:hai-bg-gray-100/75 hai-transition-colors hai-border-0">
            <svg class="hai-h-5 hai-w-5" fill="none" stroke="currentColor" viewBox="0 0 24 24">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 18L18 6M6 6l12 12"></path>
            </svg>
          </button>

          <!-- User Info -->
          <div class="hai-flex hai-items-center hai-gap-4">
            <div class="hai-flex-shrink-0 hai-h-12 hai-w-12 hai-rounded-full hai-bg-[#6e00ff]/10 hai-flex hai-items-center hai-justify-center">
              <svg class="hai-h-6 hai-w-6 hai-text-[#6e00ff]" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"></path>
              </svg>
            </div>
            <div class="hai-flex hai-flex-col">
              <h3 class="hai-my-0 hai-text-lg hai-font-semibold hai-text-gray-900 hai-conversation-name"></h3>
              <div class="hai-flex hai-items-center hai-gap-2 hai-mt-0.5">
                <span class="hai-text-sm hai-text-gray-500 hai-conversation-meta"></span>
              </div>
            </div>
          </div>
        </div>

        <!-- User Info Grid -->
        <div class="hai-bg-gray-50/50 hai-px-6 hai-py-3 hai-border-b hai-border-gray-100">
          <div class="hai-grid hai-grid-cols-3 hai-gap-4">
            <!-- Location -->
            <div class="hai-conversation-location hai-bg-white hai-rounded-lg hai-px-4 hai-py-3 hai-shadow-sm hai-border hai-border-gray-100">
              <div class="hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wide"><?php echo esc_html__('Location', 'hai-support'); ?></div>
              <div class="hai-mt-1.5 hai-location-content"></div>
            </div>
            <!-- IP Address -->
            <div class="hai-bg-white hai-rounded-lg hai-px-4 hai-py-3 hai-shadow-sm hai-border hai-border-gray-100">
              <div class="hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wide"><?php echo esc_html__('IP Address', 'hai-support'); ?></div>
              <div class="hai-mt-1.5 hai-text-sm hai-text-gray-900 hai-conversation-ip"></div>
            </div>
            <!-- Date/Time -->
            <div class="hai-bg-white hai-rounded-lg hai-px-4 hai-py-3 hai-shadow-sm hai-border hai-border-gray-100">
              <div class="hai-text-xs hai-font-medium hai-text-gray-500 hai-uppercase hai-tracking-wide"><?php echo esc_html__('Started', 'hai-support'); ?></div>
              <div class="hai-mt-1.5 hai-text-sm hai-text-gray-900 hai-conversation-time"></div>
            </div>
          </div>
        </div>

        <!-- Conversation Content -->
        <div id="hai-conversation-content" class="hai-p-6 hai-max-h-[calc(100vh-350px)] hai-min-h-[400px] hai-overflow-y-auto hai-space-y-4 hai-scroll-smooth">
          <!-- Conversation messages will be loaded here -->
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Initialize admin JavaScript -->
<script type="text/javascript">
  jQuery(document).ready(function($) {
    // Initialize admin nonce
    window.haiAdmin = {
      nonce: '<?php echo wp_create_nonce('hai-admin-nonce'); ?>',
      botName: '<?php echo esc_js(hai_get_setting('hai_bot_name')); ?>',
      pluginUrl: '<?php echo esc_js(HAI_SUPPORT_PLUGIN_URL); ?>'
    };

    // Status filter
    $('#hai-status-filter').on('change', function() {
      const status = $(this).val();
      $('.hai-conversation-row').each(function() {
        const row = $(this);
        if (!status || row.data('status') === status) {
          row.show();
        } else {
          row.hide();
        }
      });
    });

    // View conversation
    $('.view-conversation').on('click', function() {
      const button = $(this);
      const conversationId = button.data('id');
      const modal = $('#hai-conversation-modal');
      const content = $('#hai-conversation-content');

      content.html(`
        <div class="hai-flex hai-justify-center hai-items-center hai-py-8">
          <div class="hai-animate-spin hai-rounded-full hai-h-8 hai-w-8 hai-border-b-2 hai-border-primary-600"></div>
        </div>
      `);
      modal.removeClass('hai-hidden');

      $.ajax({
        url: ajaxurl,
        type: 'POST',
        data: {
          action: 'hai_get_conversation',
          nonce: haiAdmin.nonce,
          conversation_id: conversationId
        },
        success: function(response) {
          if (response.success && response.data) {
            // Update conversation status badge
            if (response.data.status === 'unread') {
              button.closest('tr').find('.hai-status-badge')
                .removeClass('hai-bg-red-100 hai-text-red-800')
                .addClass('hai-bg-green-100 hai-text-green-800')
                .text('read');
            }

            // Update modal header
            $('.hai-conversation-name').text(response.data.user_name || 'Anonymous User');
            $('.hai-conversation-meta').text(response.data.user_agent || 'Unknown Browser');

            // Update location info
            const locationDiv = $('.hai-conversation-location .hai-location-content');
            locationDiv.empty();

            if (response.data.location) {
              try {
                const location = typeof response.data.location === 'string' ?
                  JSON.parse(response.data.location) :
                  response.data.location;

                if (location && (location.city || location.country || location.country_code)) {
                  const locationHtml = `
                    <div class="hai-flex hai-items-center hai-space-x-2">
                      ${
                        location.country_code
                          ? `
                        <div class="hai-flex-shrink-0 hai-w-6 hai-h-4 hai-relative hai-rounded-sm hai-overflow-hidden hai-border hai-border-gray-200">
                          <img src="${
                            haiAdmin.pluginUrl
                          }assets/images/flags/${location.country_code.toLowerCase()}.svg"
                            alt="${location.country || ""}"
                            class="hai-w-full hai-h-full hai-object-cover"
                            onerror="this.parentElement.style.display='none'">
                        </div>
                      `
                          : ""
                      }
                      <span class="hai-text-sm hai-text-gray-900">
                        ${
                          [location.city, location.country]
                            .filter(Boolean)
                            .join(", ") || location.country_code || "Unknown Location"
                        }
                      </span>
                    </div>
                  `;
                  locationDiv.html(locationHtml);
                } else {
                  locationDiv.html(
                    '<span class="hai-text-sm hai-text-gray-900">Unknown Location</span>'
                  );
                }
              } catch (e) {
                console.error('Error parsing location data:', e);
                locationDiv.html(
                  '<span class="hai-text-sm hai-text-gray-900">Unknown Location</span>'
                );
              }
            } else {
              locationDiv.html(
                '<span class="hai-text-sm hai-text-gray-900">Unknown Location</span>'
              );
            }

            // Update IP and time
            $('.hai-conversation-ip').text(response.data.user_ip || 'Unknown IP');
            $('.hai-conversation-time').text(response.data.created_at || '');

            // Render conversation messages
            renderConversation(response.data.messages);
          } else {
            content.html(`
              <div class="hai-text-center hai-py-8">
                <div class="hai-text-red-500">${response.data.message}</div>
              </div>
            `);
          }
        },
        error: function() {
          content.html(`
            <div class="hai-text-center hai-py-8">
              <div class="hai-text-red-500"><?php echo esc_js(__('Failed to load conversation.', 'hai-support')); ?></div>
            </div>
          `);
        }
      });
    });

    // Close modal
    $('#hai-close-modal').on('click', function() {
      $('#hai-conversation-modal').addClass('hai-hidden');
    });

    // Close modal on background click
    $('#hai-conversation-modal').on('click', function(e) {
      if (e.target === this) {
        $(this).addClass('hai-hidden');
      }
    });

    // Delete conversation
    $('.delete-conversation').on('click', function() {
      const button = $(this);
      const row = button.closest('tr');
      deleteConversations([button.data('id')], row);
    });

    // Select all conversations
    $('#select-all-conversations').on('change', function() {
      $('.conversation-checkbox').prop('checked', $(this).prop('checked'));
    });

    // Bulk delete
    function deleteConversations(ids, $rows) {
      if (!ids.length) return;

      return $.ajax({
        url: ajaxurl,
        type: 'POST',
        data: {
          action: 'hai_delete_conversation',
          nonce: haiAdmin.nonce,
          conversation_id: ids
        },
        success: function(response) {
          if (response.success) {
            $rows.fadeOut(400, function() {
              $rows.remove();
              if ($('.hai-conversation-row').length === 0) {
                location.reload();
              }
            });
          } else {
            alert(response.data.message || 'Failed to delete conversations');
          }
        },
        error: function() {
          alert('Failed to delete conversations. Please try again.');
        }
      });
    }

    // Handle bulk delete
    $('#bulk-delete').on('click', function() {
      const $selectedRows = $('.conversation-checkbox:checked').closest('tr');
      const selectedIds = $.makeArray($('.conversation-checkbox:checked').map(function() {
        return $(this).val();
      }));

      if (selectedIds.length) {
        const $button = $(this);
        $button.prop('disabled', true);

        deleteConversations(selectedIds, $selectedRows).always(function() {
          $button.prop('disabled', false);
        });
      }
    });

    function renderConversation(messages) {
      const content = $('#hai-conversation-content');
      content.empty();

      if (!Array.isArray(messages) || messages.length === 0) {
        content.html(`
          <div class="hai-text-center hai-py-8">
            <div class="hai-text-gray-500"><?php echo esc_js(__('No messages found in this conversation.', 'hai-support')); ?></div>
          </div>
        `);
        return;
      }

      messages.forEach(function(message) {
        if (!message || !message.role || !message.content) {
          return;
        }

        const isAi = message.role === 'assistant';
        const messageHtml = `
          <div class="hai-flex hai-items-start hai-space-x-3 hai-mb-4 ${isAi ? '' : 'hai-justify-end hai-space-x-reverse'}">
            ${isAi ? `
              <div class="hai-flex-shrink-0">
                <div class="hai-h-8 hai-w-8 hai-rounded-full hai-bg-[#6e00ff]/10 hai-flex hai-items-center hai-justify-center">
                  <svg class="hai-h-5 hai-w-5 hai-text-[#6e00ff]" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9.75 17L9 20l-1 1h8l-1-1-.75-3M3 13h18M5 17h14a2 2 0 002-2V5a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"></path>
                  </svg>
                </div>
              </div>
            ` : ''}
            <div class="hai-flex hai-flex-col hai-flex-1 ${isAi ? 'hai-items-start' : 'hai-items-end'} hai-max-w-[80%]">
              <div class="hai-flex hai-items-center hai-space-x-2">
                <span class="hai-text-xs hai-font-medium hai-text-gray-500">
                  ${isAi ? haiAdmin.botName : (message.user_name || 'User')}
                </span>
                ${message.timestamp ? `
                  <span class="hai-text-xs hai-text-gray-400">
                    ${message.timestamp}
                  </span>
                ` : ''}
              </div>
              <div class="hai-mt-1 hai-rounded-2xl hai-px-4 hai-py-2 ${
                isAi ? 'hai-bg-gray-100' : 'hai-bg-[#6e00ff]'
              } hai-shadow-sm">
                <div class="hai-text-sm hai-leading-relaxed ${
                  isAi ? 'hai-text-gray-900' : 'hai-text-white'
                } hai-whitespace-pre-wrap">${escapeHtml(message.content)}</div>
              </div>
            </div>
            ${!isAi ? `
              <div class="hai-flex-shrink-0">
                <div class="hai-h-8 hai-w-8 hai-rounded-full hai-bg-[#6e00ff]/10 hai-flex hai-items-center hai-justify-center">
                  <svg class="hai-h-5 hai-w-5 hai-text-[#6e00ff]" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"></path>
                  </svg>
                </div>
              </div>
            ` : ''}
          </div>
        `;
        content.append(messageHtml);
      });

      // Smooth scroll to bottom with a slight delay to ensure content is rendered
      setTimeout(() => {
        content.animate({
          scrollTop: content[0].scrollHeight
        }, 300);
      }, 100);
    }

    function escapeHtml(unsafe) {
      return unsafe
        .replace(/&/g, "&amp;")
        .replace(/</g, "&lt;")
        .replace(/>/g, "&gt;")
        .replace(/"/g, "&quot;")
        .replace(/'/g, "&#039;");
    }
  });
</script>

<?php require_once HAI_SUPPORT_PLUGIN_DIR . 'templates/admin-footer.php'; ?>